#version 450

layout(set = 0, binding = 0) uniform global {
    mat4 view;
    mat4 proj;
};

layout(push_constant) uniform local {
    mat4 model;
};

layout(location = 0) in vec3 aVertexPos;
layout(location = 1) in vec3 aVertexColor;

layout(location = 0) out vec3 oColor;

void main() {
    oColor = aVertexColor;
    gl_Position = proj * view * model * vec4(aVertexPos, 1);
}
